#
# spec file for package python-tgext.crud
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-tgext.crud
Version:        0.6.3
Release:        2.4
Url:            http://turbogears.org/2.1/docs/main/Extensions/index.html#crud
Summary:        Crud Controller Extension for TG2
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/t/tgext.crud/tgext.crud-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-sprox
Requires:       python-tw.forms
Provides:       python-tgext-crud = %{version}
Obsoletes:      python-tgext-crud < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Crud Controller Extension for TurboGears2.

%prep
%setup -q -n tgext.crud-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# remove tests
rm -r %{buildroot}/%{python_sitelib}/tests

%files
%defattr(-,root,root,-)
%{python_sitelib}/tgext.crud-%{version}-py*.egg-info
%{python_sitelib}/tgext.crud-%{version}-py*-nspkg.pth
%dir %{python_sitelib}/tgext/
%{python_sitelib}/tgext/crud/

%changelog
* Mon Mar  2 2015 toddrme2178@gmail.com
- Remove test files
* Sun Nov 17 2013 p.drouand@gmail.com
- Update to version 0.6.3
  + No changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jan 15 2013 p.drouand@gmail.com
- Update to 0.5.8 version:
  * Make possible to choose whenever to rollback session or abort transaction
    when a database error occurs using the tgext.crud.abort_transactions option
* Tue Sep 20 2011 saschpe@suse.de
- Initial package, replaces 'python-tgext-crud'
